/*
    Mohawk Software Framework by Mohawk Software
    Copyright (C) 1998-2002 Mark L. Woodward
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.
 
    You should have received a copy of the GNU General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
 
    If you want support or to professionally license this library, the author
    can be reached at info@mohawksoft.com
*/ 

// This is a PostgreSQL serializer plugin. It saves and restorse the msessiond 
// state at startup, and shutdown.

void *	sql_connect(char *conninfo);
void 	sql_close(void  *conn);
Boolean sql_queue_init(char *coninfo, int nentries);
void 	sql_queue_end(void);
void *	sql_queue_get(void);
void 	sql_queue_release(void *conn);
int 	sql_exec_cmd(void *conn, char *string);
Boolean sql_exec_int(void *conn, char *string, int *result);
Boolean sql_exec(void *conn, char *string);
void * 	sql_exec_results(void *conn, char *string);
int 	sql_num_rows(void *conn, void *sqlresult);
char *	sql_get_result(void *conn, void *sqlresult, int row, int column);
void 	sql_free_result(void *conn, void *sqlresult);
